;****************************************************************************
;*                     GNU Hell on Earth   ver 0.16 Beta                    *
;*                    A 3D engine for the TI 92 calculator                  *
;*                     Copyright (C) 1998  Mathieu Lacage                   *
;****************************************************************************

Fargo        equ 0
Plus_shell   equ 1
normal_mode  equ 0
debug_mode   equ 1
test_mode    equ 2
on           equ 0
off          equ 1
size_small   equ 4
size_medium  equ 5
size_big     equ 6
small        equ 1
medium       equ 2
big          equ 3

OS                    set   Plus_shell
mode                  set   test_mode
world_size_mode       set   size_big
wall_texturing        set   on
wall_opti             set   on
wall_tex_size         set   big

scale            equ 4250
ang_inc          equ 7
height           equ 90
width            equ 110
texturing_limit  equ 5


 ifeq wall_texturing-off
wall_tex_size     set   big
 endif

_square     = 6
square_size = 1<<_square            ; square_size = 2 ^ _square

_world      = world_size_mode
_world_     = 1<<_world             ; _world_ = 2 ^ _world
world_size  = square_size*_world_   ; world_size = square_size * _world_

_wall_texture_size  = wall_tex_size
_wall_texture_size_ = 1<<_wall_texture_size
wall_texture_size   = _wall_texture_size_*8 ; 8 because 8 bits per byte


ang_30     = 74
ang_90     = 3*ang_30-1
ang_180    = 2*ang_90
ang_270    = 3*ang_90
ang_360    = 4*ang_90

