;****************************************************************************
;*                     GNU Hell on Earth   ver 0.16 Beta                    *
;*                    A 3D engine for the TI 92 calculator                  *
;*                     Copyright (C) 1998  Mathieu Lacage                   *
;****************************************************************************

; a2: pointer to fish.bin ...
; a5: pointer to someplace in the screen: used by plot and line

; d2.w: dist_x / top
; d3.w: dist_y / (xi or yi) and 64-1
; d5.w: scale / bottom
; d6.w: temporary register used a little everywhere

; d0,d1,d4 and d7 are not modified...       (   when no textures...
; a0,a1,a3,a4,a6,a7 are not modified...     (



   move.w   dist_x,D2
   move.w   dist_y,D3

if_1_2:
   cmp.w    D2,D3
   bcs      else_1_2
then_1_2:
;   move.w   D0,D3            ; scale->D5, dist_x<dist_y
;   asl      #1,D3
;   move     0(A2,D3),D5
   move.l   #scale,d5
   divu     D2,D5
   move.w   yi,D3
   and.w    #wall_texture_size-1,D3
   bra      end_if_1_2
else_1_2:
;   move     D0,D2            ; scale->D5, dist_x>dist_y
;   asl      #1,D2
;   move     0(A2,D2),D5
   move.l   #scale,d5
   divu     D3,D5
   move.w   xi,D3
   and.w    #wall_texture_size-1,D3
end_if_1_2:


